Bug 1251691 - ifup-ipsec causes invalid ICMP redirects
ifup-ipsec causes invalid ICMP redirects
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ipsec-tools (Show other bugs)
24
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 15:50 EDT by Kaarle Ritvanen
Modified: 2016-05-14 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version: ipsec-tools-0.8.2-5.fc24 ipsec-tools-0.8.2-5.el7 ipsec-tools-0.8.2-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-07 07:46:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested correction (1.20 KB, patch)
2015-08-08 15:50 EDT, Kaarle Ritvanen
no flags Details | Diff

  None (edit)
Description Kaarle Ritvanen 2015-08-08 15:50:52 EDT
Created attachment 1060657 [details]
Suggested correction

Description of problem:
The ifup-ipsec script creates a routing table entry for tunnel mode interfaces, apparently in order to set the source address for packets originating from the gateway. When a host in the local network sends an IPv4 packet destined to the remote network, the gateway sends an ICMP redirect message instructing the sender to send directly to the destination rather than via the gateway. Some devices, such as Android devices, still update their routing tables upon reception of ICMP redirects.

Version-Release number of selected component (if applicable):
0.8.2-1.fc21

How reproducible:
Configure a tunnel mode IPsec interface and send IPv4 packets from an Android device to the remote network.

Actual results:
After a few packets, the Android device stops routing the packets via the gateway and starts sending ARP requests instead.

Expected results:
All packets get routed via the IPsec gateway and no ICMP redirects are sent for the tunnel-bound packets.

Additional info:
The suggested correction is to disable the sending of ICMP redirects on the local network's interface.
Comment 1 Fedora End Of Life 2015-11-04 05:55:23 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Jan Kurik 2016-02-24 10:41:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 Fedora Update System 2016-04-28 12:05:07 EDT
ipsec-tools-0.8.2-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6228d73c0f
Comment 4 Fedora Update System 2016-04-28 12:05:25 EDT
ipsec-tools-0.8.2-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ac82a71af
Comment 5 Fedora Update System 2016-04-28 12:05:43 EDT
ipsec-tools-0.8.2-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdef5ed672
Comment 6 Fedora Update System 2016-04-28 12:06:01 EDT
ipsec-tools-0.8.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-77364fcd0c
Comment 7 Fedora Update System 2016-04-28 12:27:28 EDT
ipsec-tools-0.8.2-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-24b869cc40
Comment 8 Fedora Update System 2016-04-28 18:20:32 EDT
ipsec-tools-0.8.2-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-24b869cc40
Comment 9 Fedora Update System 2016-04-28 18:22:54 EDT
ipsec-tools-0.8.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6228d73c0f
Comment 10 Fedora Update System 2016-04-28 18:52:58 EDT
ipsec-tools-0.8.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-77364fcd0c
Comment 11 Fedora Update System 2016-04-28 18:54:40 EDT
ipsec-tools-0.8.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fdef5ed672
Comment 12 Fedora Update System 2016-04-29 13:22:25 EDT
ipsec-tools-0.8.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7ac82a71af
Comment 13 Fedora Update System 2016-05-07 07:46:39 EDT
ipsec-tools-0.8.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-05-14 22:40:34 EDT
ipsec-tools-0.8.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-05-14 23:04:09 EDT
ipsec-tools-0.8.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.